<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Анекдоты';
include_once '../sys/inc/thead.php';
title();
err();
aut();

if (empty($_GET['page'])) {
$file=file('base.txt');
$str=$file[array_rand($file)];
echo '<div class="p_t"><center>Случайный анекдот
</center></div>
<div class="p_m">
'.$str.'<br />
</div>

&raquo; <a href="?rand='.rand(1111,9999).'">Обновить</a><br />
&raquo; <a href="?page=1">Все анекдоты</a><br />
';
} else {
echo '<div class="p_t"><center>Все анекдоты
</center></div>
';
$file=file('base.txt');
$page=htmlspecialchars($_GET['page']);
if (preg_match("/[^0-9]/", $page)) { exit; }
$end=$page*10;
$start=$end-10;
for ($i=$start; $i<$end; $i++) {
if (!empty($file[$i])) {
$str=trim($file[$i]);
if ($i%2==0) {
echo '<div class="infosm">';
} else {
echo '<div class="vip">';
}
echo '<b>'.($i+1).')</b> '.$str.'<br />
</div>
';
}}


$page_nav=ceil(count($file)/10);

if ($page<=$page_nav and $page_nav>1) {
echo '<p>
Страницы: ';
$pages=3;
$link=0;
$link2=0;
if ($page>($page_nav-$pages)) {
$link2=$page_nav-$page;
$link2=$pages-$link2;
}
if ($page>($pages+1) and $page_nav>7) {
echo '<a href="?page=1">1</a> ';
}
if (($page-$pages)>2 and $page_nav>8) {
echo ' ... ';
}
for ($i=(($page-$pages)-$link2); $i<$page; $i++) {
if ($i>0) {
echo '<a href="?page='.$i.'">'.$i.'</a> ';
$link++;
}}
$link=$pages-$link;
echo '<b>'.$page.'</b> ';
for ($i=($page+1); $i<((($page+$pages)+1)+$link); $i++) {
if ($i<=$page_nav) {
echo '<a href="?page='.$i.'">'.$i.'</a> ';
}}
if (($page+$pages)<($page_nav-1) and $page_nav>8) {
echo ' ... ';
}
if ($page<($page_nav-$pages) and $page_nav>7) {
echo '<a href="?page='.$page_nav.'">'.$page_nav.'</a>';
}
echo '<br />
</p>
';
}
echo '&raquo; <a href="?rand='.rand(1111,9999).'">Случайный анекдот</a><br />
';
}

echo '<br />
&copy; Pro1ooIgorek';
include_once '../sys/inc/tfoot.php';
?>
